Bug 143947 - emacs does not load user-init-file by default
emacs does not load user-init-file by default
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-02 07:56 EST by Kyuso Cahi
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-13 06:08:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyuso Cahi 2005-01-02 07:56:58 EST
Description of problem:

emacs does not load $HOME/.emacs by default

Version-Release number of selected component (if applicable):

21.3-17

How reproducible:

always

Steps to Reproduce:
1. run emacs without any arguments
2. change options (e.g. syntax highlighting), save ($HOME/.emacs
should be updated)
3. re-run emacs without any arguments
4. no change is seen

Actual results:
no change in options

Expected results:
changes in option should show the next time emacs is run

Additional info:
'emacs -u $USER' does load the init file
'emacs -q' behaves the same as emacs
'emacs' without arguments should behave like 'emacs -u $USER', not
'emacs -q'
Comment 1 Jim Richardson 2005-01-12 06:51:54 EST
I am running FC3 and have verified that my emacs is reading the
~/.emacs file on start, however I have NOT been able to get emacs to
use the resources specified in either the .Xdefaults or .Xrecources
file(s). I verified it is function correclty with these resources on
an FC2 system. Both my FC2 and FC3 systems are up2date, and this is my
FC3 installed rpms:

emacs-common-21.3-17
emacs-el-21.3-17
emacs-leim-21.3-17
emacs-21.3-17
Comment 2 Jim Richardson 2005-01-12 07:03:45 EST
Darn where is that remove comment feature?
Please ignore my previous comment, I learned that the X-window
environment needs to be restarted or xrdb -load run on changed
.Xdefaults or .Xresources modificaitons.
Comment 3 Kyuso Cahi 2005-01-13 06:08:13 EST
Hmm. I tried again, and it now works. I don't know what caused the
original problem.
Anyway, no longer a problem.

Note You need to log in before you can comment on or make changes to this bug.